VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Content::SubscribedLibrary::ProbeResult Class Reference
Inheritance diagram for Com::Vmware::Content::SubscribedLibrary::ProbeResult:

## Classes
class | Status

## Avaliable Methods
public method | set_ssl_thumbprint ()
public method | get_ssl_thumbprint ()
public method | set_error_messages ()
public method | get_error_messages ()
public method | new ()
public method | set_status ()
public method | get_status ()

## Detailed Description

The `Com::Vmware::Content::SubscribedLibrary::ProbeResult` class defines the subscription information probe result. This describes whether using a given subscription URL is successful or if there are access problems, such as SSL errors.

## Member Function Documentation

public method Com::Vmware::Content::SubscribedLibrary::ProbeResult::get_error_messages | ( |  | ) |

Gets the value of 'error_messages' property.

Return values

  error_messages | - The current value of the field. If the probe result is in an error status, this field will contain the detailed error messages. List#

Code:
click to view
# Number of lines of code in get_error_messages: 5
sub get_error_messages {
my ($self, %args) = @_;
return $self->{'error_messages'};
}

public method Com::Vmware::Content::SubscribedLibrary::ProbeResult::get_ssl_thumbprint | ( |  | ) |

Gets the value of 'ssl_thumbprint' property.

Return values

  ssl_thumbprint | - The current value of the field. The SSL thumbprint for the remote endpoint. Optional#

Code:
click to view
# Number of lines of code in get_ssl_thumbprint: 5
sub get_ssl_thumbprint {
my ($self, %args) = @_;
return $self->{'ssl_thumbprint'};
}

public method Com::Vmware::Content::SubscribedLibrary::ProbeResult::get_status | ( |  | ) |

Gets the value of 'status' property.

Return values

  status | - The current value of the field. The status of probe result. This will be one of SUCCESS, INVALID_URL, TIMED_OUT, HOST_NOT_FOUND, RESOURCE_NOT_FOUND, INVALID_CREDENTIALS, CERTIFICATE_ERROR, UNKNOWN_ERROR. Status#

Code:
click to view
# Number of lines of code in get_status: 5
sub get_status {
my ($self, %args) = @_;
return $self->{'status'};
}

public method Com::Vmware::Content::SubscribedLibrary::ProbeResult::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::SubscribedLibrary::ProbeResult structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 21
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{status} = $args{'status'};
$self->{ssl_thumbprint} = $args{'ssl_thumbprint'};
$self->{error_messages} = $args{'error_messages'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::SubscribedLibrary::ProbeResult');
$self->set_binding_name('name' => 'com.vmware.content.subscribed_library.probe_result');
$self->set_binding_field('key' => 'status', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content', 'type_name' => 'SubscribedLibrary::ProbeResult::Status'));
$self->set_binding_field('key' => 'ssl_thumbprint', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'error_messages', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::SubscribedLibrary::ProbeResult::set_error_messages | ( |  | ) |

Sets the given value for 'error_messages' property.

Parameters

  error_messages | - New value for the field. If the probe result is in an error status, this field will contain the detailed error messages.

Code:
click to view
# Number of lines of code in set_error_messages: 10
sub set_error_messages {
my ($self, %args) = @_;
$self->{'error_messages'} = $args{'error_messages'};
return;
}
1;

public method Com::Vmware::Content::SubscribedLibrary::ProbeResult::set_ssl_thumbprint | ( |  | ) |

Sets the given value for 'ssl_thumbprint' property.

Parameters

  ssl_thumbprint | - New value for the field. The SSL thumbprint for the remote endpoint.

Code:
click to view
# Number of lines of code in set_ssl_thumbprint: 6
sub set_ssl_thumbprint {
my ($self, %args) = @_;
$self->{'ssl_thumbprint'} = $args{'ssl_thumbprint'};
return;
}

public method Com::Vmware::Content::SubscribedLibrary::ProbeResult::set_status | ( |  | ) |

Sets the given value for 'status' property.

Parameters

  status | - New value for the field. The status of probe result. This will be one of SUCCESS, INVALID_URL, TIMED_OUT, HOST_NOT_FOUND, RESOURCE_NOT_FOUND, INVALID_CREDENTIALS, CERTIFICATE_ERROR, UNKNOWN_ERROR.

Code:
click to view
# Number of lines of code in set_status: 6
sub set_status {
my ($self, %args) = @_;
$self->{'status'} = $args{'status'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/SubscribedLibrary.pm